function PanelSalle(objChat) {
	var tr = document.createElement("tr");
	
		var td = document.createElement("td");
		var div = document.createElement("div");
		div.id = "mainWindow";
		this.pDisplay = new PanelDisplay();
		this.pDisplay.appendTo(div);
		td.appendChild(div);
		
	tr.appendChild(td);
	
		var td = document.createElement("td");
		var div = document.createElement("div");
		div.id = "utilisateurs";
		this.pUtilisateurs = new PanelUtilisateurs(objChat);
		this.pUtilisateurs.appendTo(div);
		td.appendChild(div);
		
	tr.appendChild(td);
	
	this.objChat = objChat;
	this.objPanel = tr;
}

PanelSalle.prototype = {
	'objPanel' : null,
	'objChat' : null,
	'attachment' : null,
	'pUtilisateurs' : null,
	'pDisplay' : null,
	'iframeContent' : '',
	
	/**
	 * public void updateUtilisateursListe()
	 * 
	 * Mets à jour les données de la liste des utilisateurs
	 * 
	 * @param (Object) data
	 */
	
	'updateUtilisateursListe' : function (data) {
		this.pUtilisateurs.updateUtilisateurs(data);
	}
	,
	
	/**
	 * public void addContenu(String data)
	 * 
	 * Ajoute du contenu à la salle.
	 * 
	 * @param (String) data
	 */
	
	'addContenu' : function (data) {
		this.pDisplay.addContenu(data);
	}
	,
	
	/**
	 * public void setOnSendHandler(Function handler)
	 * 
	 * Définit le handler pour quand les messages sont tapés
	 * 
	 * @param (Function) handler
	 */
	
	'setOnSendHandler' : function (handler) {
		this.pDisplay.setOnSendHandler(handler);
	}
};

PanelSalle.extend(Panel);